Page MenuHomePhabricator

"wikimania-support" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the wikimania-support project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
bd808 claimed this task.Oct 27 2019, 12:11 AM

Mentioned in SAL (#wikimedia-cloud) [2019-10-27T00:13:04Z] <bd808> Building scholarships-03 to replace scholarships-02 (T236579)

Mentioned in SAL (#wikimedia-cloud) [2019-10-28T03:35:04Z] <bd808> Replaced scholarships-02 with scholarships-03 running Debian Buster (T236579)

bd808 updated the task description. (Show Details)Oct 28 2019, 3:36 AM

Jessie instances are gone, but I'm going to leave this open until I can turn Puppet back on for scholarships-03. That is blocked by T236455.

bd808 closed this task as Resolved.Oct 28 2019, 4:30 PM

Puppet re-enabled and verified that LXC container starts on instance boot